
%global meadversion 3.8.10
%global namedversion 3.8.10.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jboss-xnio-base}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.8.10.Final-redhat-00001

Name:           %{?scl_prefix}jboss-xnio-base
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        XNIO low level IO layer
Group:          Development/Java

%if %with mead
Source100: xnio-all-3.8.10.Final-redhat-00001-project-sources.tar.gz
Source102: xnio-all-3.8.10.Final-redhat-00001-javadoc.jar
Source103: xnio-api-3.8.10.Final-redhat-00001-sources.jar
Source104: xnio-api-3.8.10.Final-redhat-00001.pom
Source105: xnio-api-3.8.10.Final-redhat-00001.jar
Source106: xnio-all-3.8.10.Final-redhat-00001.pom
Source107: xnio-nio-3.8.10.Final-redhat-00001.jar
Source108: xnio-nio-3.8.10.Final-redhat-00001-sources.jar
Source109: xnio-nio-3.8.10.Final-redhat-00001.pom
%endif

License:        ASL 2.0
URL:            http://jboss.org/xnio/
Provides:       %{?scl_prefix}xnio-api = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}xnio-nio = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jboss-xnio-base-%{version}-%{release}-root

%description
XNIO is a simplified low-level I/O layer which can be used 
anywhere you are using NIO today. It frees you from the 
hassle of dealing with Selectors and the lack of NIO support 
for multicast sockets and non-socket I/O such as serial 
ports, while still maintaining all the capabilities present 
in NIO. Also, XNIO vastly simplifies implementation of 
channels, opening the door to supporting higer-level 
transport concepts (like SSL or virtual channels) with the 
same simple API.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-xnio-base
Group:          Development/Documentation

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n xnio-all-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/xnio-api-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/xnio-api-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/xnio-api-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/xnio-api-%{namedversion}-sources.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/xnio-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/xnio-api-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/xnio-nio-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/xnio-nio-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/xnio-nio-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/xnio-nio-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/xnio-nio-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/xnio-nio-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do ln -s ${jar} `echo $jar| sed  "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-xnio-base-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/xnio-all-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-xnio-base-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-xnio-base-%{namedversion} %{buildroot}%{_javadocdir}/jboss-xnio-base
%endif

%clean
%{__rm} -rf %{buildroot}

%files 
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}/xnio-api-%{namedversion}.jar
%{_javadir}/xnio-api.jar
%{_javadir}/xnio-api-%{namedversion}-sources.jar
%{_javadir}/xnio-api-sources.jar
%if %with javadoc
%{_javadir}/xnio-api-%{namedversion}-javadoc.jar
%{_javadir}/xnio-api-javadoc.jar
%endif
%{_javadir}/xnio-nio-%{namedversion}.jar
%{_javadir}/xnio-nio.jar
%{_javadir}/xnio-nio-%{namedversion}-sources.jar
%{_javadir}/xnio-nio-sources.jar
%if %with javadoc
%{_javadir}/xnio-nio-%{namedversion}-javadoc.jar
%{_javadir}/xnio-nio-javadoc.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-xnio-base-%{namedversion}
%{_javadocdir}/jboss-xnio-base
%endif

%changelog
* Wed Aug 30 2023 cpaas-ops <cpaas-ops@redhat.com> - 3.8.10-1.Final_redhat_00001.1
- Built by CPaaS

* Mon Apr 17 2023 cpaas-ops <cpaas-ops@redhat.com> - 3.8.9-1.Final_redhat_00001.1
- Built by CPaaS

* Mon Apr 25 2022 Harsha Cherukuri <hcheruku@redhat.com> - 3.8.7-1.SP1_redhat_00001.1
- Building version 3.8.7.SP1_redhat_00001

* Wed Feb 09 2022 cpaas-ops <cpaas-ops@redhat.com> - 3.8.6-1.Final_redhat_00001.1
Built by CPaaS

* Tue Nov 30 2021 cpaas-ops <cpaas-ops@redhat.com> - 3.8.5-1.SP1_redhat_00001.1
Built by CPaaS

* Tue Dec 15 2020 Yong Yang <yyang@redhat.com> - 3.8.4-1.Final_redhat_00001.1
- RPM wrapper build 3.8.4.Final-redhat-00001

* Thu Dec 03 2020 Yong Yang <yyang@redhat.com> - 3.7.12-1.Final_redhat_00001.1
- RPM wrapper build 3.7.12.Final-redhat-00001

* Wed Nov 04 2020 Permaine Cheung <pcheung@redhat.com> - 3.8.2-1.Final_redhat_00001.1
- 3.8.2.Final-redhat-00001

* Mon May 25 2020 Yong Yang <yyang@redhat.com> - 3.8.1-1.Final_redhat_00001.1
- RPM wrapper build 3.8.1.Final-redhat-00001

* Fri Dec 06 2019 Permaine Cheung <pcheung@redhat.com> - 3.7.7-1.Final_redhat_00001.1
- 3.7.7.Final-redhat-00001

* Fri Dec 06 2019 Permaine Cheung <pcheung@redhat.com> - 3.7.2-4.Final_redhat_00001.1
- 3.7.7.Final-redhat-00001

* Fri Dec 06 2019 Permaine Cheung <pcheung@redhat.com> - 3.7.2-3.Final_redhat_00001.1
- 3.7.7.Final-redhat-00001

* Wed Nov 20 2019 Yong Yang <yyang@redhat.com> - 3.7.2-2.Final_redhat_00001.1
- RPM wrapper build 3.7.7.Final-redhat-00001

* Thu Jul 18 2019 Permaine Cheung <pcheung@redhat.com> - 3.7.2-1.Final_redhat_00001.1
- 3.7.2.Final-redhat-00001

* Mon May 13 2019 Neil Wallace <nwallace@redhat.com> - 3.6.6-1.Final_redhat_00001.1
- 3.6.6.Final-redhat-00001

* Wed Aug 15 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.6.5-1.Final_redhat_00001.1
- upgrade to 3.6.5.Final-redhat-00001

* Tue Jun 12 2018 Permaine Cheung <pcheung@redhat.com> - 3.6.3-2.Final_redhat_1.1
- Rewrap for 7.2.0

* Wed May 23 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 3.6.3-1.Final_redhat_1.1
- upgrade to 3.6.3.Final-redhat-1

* Tue May 22 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 3.6.3-1.Final_redhat_1.1
- upgrade to 3.6.3.Final-redhat-1

* Mon Mar 19 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 3.5.5-1.Final_redhat_1.1
- upgrade to 3.5.5.Final-redhat-1

* Fri Oct 20 2017 Petr Sakar <psakar@redhat.com> - 3.5.4-1.Final_redhat_1.1
- upgrade to 3.5.4.Final-redhat-1

* Mon Oct 16 2017 Permaine Cheung <pcheung@redhat.com> - 3.5.2-2.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Mon Oct 09 2017 Petr Sakar <psakar@redhat.com> - 3.5.2-1.Final_redhat_1.1
- upgrade to 3.5.2.Final-redhat-1

* Sat Aug 19 2017 Petr Sakar <psakar@redhat.com> - 3.5.1-1.Final_redhat_1.1
- upgrade to 3.5.1.Final-redhat-1

* Thu Jun 29 2017 Petr Sakar <psakar@redhat.com> - 3.5.0-10.CR2_redhat_1.1
- upgrade to 3.5.0.CR2-redhat-1

* Sat Jun 24 2017 Petr Sakar <psakar@redhat.com> - 3.5.0-9.CR1_redhat_1.1
- upgrade to 3.5.0.CR1-redhat-1

* Tue Jun 06 2017 Petr Sakar <psakar@redhat.com> - 3.5.0-8.Beta7_redhat_1.1
- upgrade to 3.5.0.Beta7-redhat-1

* Tue May 09 2017 Martin Minar <mminar@redhat.com> - 3.5.0-7.Beta6_redhat_1.1
- update to 3.5.0.Beta6

* Mon Apr 24 2017 Martin Minar <mminar@redhat.com> - 3.5.0-6.Beta5_redhat_1.1
- update to version 3.5.0.Beta5

* Mon Apr 03 2017 Petr Sakar <psakar@redhat.com> - 3.5.0-5.Beta4_redhat_1.1
- upgrade to 3.5.0.Beta4-redhat-1

* Wed Mar 15 2017 David Walluck <dwalluck@redhat.com> - 3.5.0-4.Beta2_redhat_1.1
- fix Provides

* Mon Mar 06 2017 David Walluck <dwalluck@redhat.com> - 3.5.0-3.Beta2_redhat_1.1
- add Provides

* Tue Feb 28 2017 Martin Minar <mminar@redhat.com> - 3.5.0-2.Beta2_redhat_1.1
- updating to version 3.5.0.Beta2

* Wed Feb 15 2017 Petr Sakar <psakar@redhat.com> - 3.5.0-1.Beta1_redhat_1.1
- upgrade to 3.5.0.Beta1-redhat-1

* Wed Dec 21 2016 Petr Sakar <psakar@redhat.com> - 3.4.3-1.Final_redhat_1.1
- upgrade to 3.4.3.Final-redhat-1

* Mon Dec 19 2016 Petr Sakar <psakar@redhat.com> - 3.4.2-1.Final_redhat_1.1
- upgrade to 3.4.2.Final-redhat-1

* Thu Nov 03 2016 Filip Kujikis <fkujikis@redhat.com> - 3.4.1-1.Final_redhat_1.1
- prod build for upstream tag 3.4.1.Final

* Tue Aug 09 2016 Petr Sakar <psakar@redhat.com> - 3.4.0-1.Final_redhat_1.1
- upgrade to 3.4.0.Final-redhat-1

* Tue Mar 08 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.3.5-1.Final_redhat_1.1
- Upgrade to 3.3.5.Final

* Mon Jan 04 2016 Hui Wang <huwang@redhat.com> - 3.3.4-1.Final_redhat_1.1
- Upgrade to 3.3.4.Final-redhat-1

* Mon Dec 07 2015 Hui Wang <huwang@redhat.com> - 3.3.3-1.Final_redhat_1.1
- Upgrade to 3.3.3.Final-redhat-1

* Wed Nov 04 2015 Hui Wang <huwang@redhat.com> - 3.3.2-1.Final_redhat_1.1
- Upgrade to 3.3.2.Final-redhat-1

* Wed Aug 26 2015 Hui Wang <huwang@redhat.com> - 3.4.0-1.Beta1_redhat_1.1
- Upgrade to 3.4.0.Beta1-redhat-1

* Sun Jul 05 2015 Hui Wang <huwang@redhat.com> - 3.3.1-1.Final_redhat_1.1
- Upgrade 3.3.1.Final-redhat-1

* Tue Feb 17 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.0.13-1.GA_redhat_1.1
- Upgrade to 3.0.13.GA

* Fri Nov 21 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.0.12-1.GA_redhat_1.1
- Upgrade to 3.0.12.GA

* Thu Sep 25 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.0.11-1.GA_redhat_2.1
- Upgrade 3.0.11.GA

* Mon Jun 02 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.0.10-1.GA_redhat_1.1
- 3.0.10.GA

* Fri May 30 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.0.10-1.GA_redhat_1.1
- 3.0.10.GA

* Mon Mar 03 2014 Lin Gao <lgao@redhat.com> - 3.1.0-1.Final_redhat_1.1
- Upgrade to 3.1.0.Final

* Mon Mar 03 2014 Lin Gao <lgao@redhat.com> - 3.1.0-1.Final_redhat_1.1
- Upgrade to 3.1.0.Final

* Tue Jan 14 2014 Paul Gier <pgier@redhat.com> - 3.0.9-1.GA_redhat_1.1
- Fix source zip name

* Tue Jan 14 2014 Paul Gier <pgier@redhat.com> - 3.0.9-1.GA_redhat_1.1
- Fix source zip name

* Tue Jan 14 2014 Paul Gier <pgier@redhat.com> - 3.0.9-1.GA_redhat_1.1
- Fix source zip name

* Tue Jan 14 2014 Paul Gier <pgier@redhat.com> - 3.0.9-1.GA_redhat_1.1
- Rebuild to fix source zip

* Tue Jan 14 2014 Paul Gier <pgier@redhat.com> - 3.0.9-1.GA_redhat_1.1
- Upgrade to 3.0.9.GA

* Fri Oct 05 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.0.7-1.GA_redhat_1
- Upgrade to 3.0.7.GA

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.0.6-2.GA_redhat_1
- Rebuild for MD5

* Thu Sep 13 2012 Hui Wang <huwang@redhat.com> - 0:3.0.6-1.GA_redhat_1
- Upgrade to 3.0.6.GA

* Tue Aug 29 2012 Hui Wang <huwang@redhat.com> - 0:3.0.5-1.GA_redhat_1
- Upgrade to 3.0.5.GA

* Mon Aug 20 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:3.0.4-3.GA_redhat_2.2
- Update poms for eap 6.0.1

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.0.4-2.GA_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.0.4-2.GA_redhat_1.1
- Rebuild using cache signing

* Thu May 24 2012 Fernando Nasser <fnasser@redhat.com>- 0:3.0.4-2.GA_redhat_1
- Remove javadocs foro nio as only the api part is public

* Thu May 24 2012 Hui Wang <huwang@redhat.com>- 0:3.0.4-1.GA_redhat_1
- Upgrade to 3.0.4.GA
- Fix installation path
- Enable javadoc subpackage

* Mon Mar 12 2012 Hui Wang <huwang@redhat.com>- 0:3.0.3-1.GA_redhat_1.2
- Use the binaries built in MEAD

* Fri Feb 17 2012 Hui Wang <huwang@redhat.com> 0:3.0.3-1.GA_redhat_1.1
- Upgrade to 3.0.3.GA

* Mon Jan 16 2012 Martha Benitez <mbenitez@redhat.com> 0:3.0.0-0.2.GA_redhat_1.1
- Adjust Release and add it to Provides: xnio

* Mon Jan 16 2012 Martha Benitez <mbenitez@redhat.com> 0:3.0.0-0.1.GA_redhat_1.1
- Add Provides: xnio

* Fri Jan 06 2012 Hui Wang <huwang@redhat.com> 0:3.0.0-0.1.GA_redhat_1
- Upgrade to 3.0.0.GA

* Wed Dec 14 2011 Hui Wang <huwang@redhat.com> 0:3.0.0-0.1.CR5_redhat_1
- Upgrade to 3.0.0.CR5

* Sat Nov 26 2011 Hui Wang <huwang@redhat.com> 0:3.0.0-0.1.CR4_redhat_1
- Upgrade to 3.0.0.CR4

* Tue Nov 22 2011 Hui Wang <huwang@redhat.com> 0:3.0.0-0.1.CR3_redhat_1
- Upgrade to 3.0.0.CR3
- Add COPYING.txt to files

* Tue Nov 22 2011 Hui Wang <huwang@redhat.com> 0:3.0.0-0.1.Beta8_redhat_1
- Upgrade to 3.0.0.Beta8
- Build with JDK7

* Wed Nov 09 2011 David Walluck <dwalluck@redhat.com> 0:3.0.0-5.Beta3_redhat_1
- remove incorrect maven2 requirement
- fix mvn command
- rebuild for indirect batik/fop dependencies
- fix reltag definition

* Tue Sep 27 2011 Hui Wang <huwang@redhat.com> - 3.0.0-4.Beta3
- Build for wolf
- Cleanup

* Mon Aug 08 2011 Yong Yang <yyang@redhat.com> - 3.0.0-3.Beta3
- Fix dep versions in pom.xml to the versions MEAD repo has

* Mon Aug 08 2011 Yong Yang <yyang@redhat.com> - 3.0.0-2.Beta3
- Build xnio with JDK6

* Tue Aug 2 2011 Lin Gao <lgao@redhat.com> - 3.0.0.Beta3-1
- upgrade to 3.0.0.Beta3
- build using mead
- rename all .patch to .patch.rpmbuild

* Thu Mar 31 2011 David Walluck <dwalluck@redhat.com> 0:1.2.1-6
- fix repolib option
- update License
- update BuildRoot
- Requires: jpackage-utils for main pkg and javadoc pkg
- fix dir ownership in main pkg and repolib pkg
- no bundled jars to remove
- fix patch macros
- don't mark javadoc as %%doc
- update %%defattr
- end repolib description with a dot
- call ant properly
- fix maven deps
- fix component-info.xml sed
- use full version in jar and javadoc dir names
- fix repolib permissions
- use proper macro for build root
- remove bundled bare poms
- use proper mvn-jpp deploy:deploy-file
- use settings.xml for mvn-jpp
- update jboss-xnio-base-build.patch

* Thu Mar 31 2011 Fernando Nasser <fnasser@redhat.com> - 0:1.2.1-5
- Rebuild due to signing failure in the last build

* Fri Dec 10 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.2.1-4
- Add maven2-brew contents to repolib

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.2.1-3.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redha.com> - 0:1.2.1-3
- Rebuild

* Thu Nov 12 2009 Yong Yang <yyang@redhat.com> - 0:1.2.1-2
- Add repolib

* Fri Sep 18 2009 Fernando Nasser <fnasser@redhat.com> - 0:1.2.1-1
- Upgrade to 1.2.1.GA

* Mon Aug 31 2009 Ralph Apel <r.apel at r-apel.de> - 0:1.2.0-1
- First release
